package com.bocloud.cmp.provider.azure.redis.firewall;

import com.bocloud.cmp.model.azure.redis.RedisFirewallRuleModel;
import com.bocloud.cmp.model.azure.redis.RedisModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: RedisFirewallRuleProvider
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2021/3/1 13:38
 */
public interface RedisFirewallRuleProvider extends SuperProvider {

    default BocloudResult list(RedisModel model) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult create(RedisFirewallRuleModel model) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult modify(RedisFirewallRuleModel model) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult detail(RedisFirewallRuleModel model) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult remove(RedisFirewallRuleModel model) {
        return new BocloudResult(false, "need implement");
    }


}